Name:           python-dycw-utilities
Version:        0.73.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        ...

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/dycw-utilities/
Source:         %{pypi_source dycw_utilities}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dycw-utilities' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dycw-utilities
Summary:        %{summary}

%description -n python3-dycw-utilities %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-dycw-utilities dev,test,zzz-test-altair,zzz-test-astor,zzz-test-atomicwrites,zzz-test-atools,zzz-test-cachetools,zzz-test-click,zzz-test-cryptography,zzz-test-cvxpy,zzz-test-dataclasses,zzz-test-datetime,zzz-test-eventkit,zzz-test-fpdf2,zzz-test-hashlib,zzz-test-http,zzz-test-humps,zzz-test-hypothesis,zzz-test-ipython,zzz-test-jupyter,zzz-test-logging,zzz-test-loguru,zzz-test-math,zzz-test-memory-profiler,zzz-test-more-itertools,zzz-test-numpy,zzz-test-optuna,zzz-test-orjson,zzz-test-pickle,zzz-test-polars,zzz-test-pqdm,zzz-test-pydantic,zzz-test-pyinstrument,zzz-test-pyrsistent,zzz-test-pytest,zzz-test-python-dotenv,zzz-test-redis,zzz-test-reprlib,zzz-test-rich,zzz-test-scipy,zzz-test-slack-sdk,zzz-test-sqlalchemy,zzz-test-sqlalchemy-polars,zzz-test-streamlit,zzz-test-subprocess,zzz-test-tenacity,zzz-test-traceback,zzz-test-treelib,zzz-test-whenever,zzz-test-zoneinfo


%prep
%autosetup -p1 -n dycw_utilities-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,test,zzz-test-altair,zzz-test-astor,zzz-test-atomicwrites,zzz-test-atools,zzz-test-cachetools,zzz-test-click,zzz-test-cryptography,zzz-test-cvxpy,zzz-test-dataclasses,zzz-test-datetime,zzz-test-eventkit,zzz-test-fpdf2,zzz-test-hashlib,zzz-test-http,zzz-test-humps,zzz-test-hypothesis,zzz-test-ipython,zzz-test-jupyter,zzz-test-logging,zzz-test-loguru,zzz-test-math,zzz-test-memory-profiler,zzz-test-more-itertools,zzz-test-numpy,zzz-test-optuna,zzz-test-orjson,zzz-test-pickle,zzz-test-polars,zzz-test-pqdm,zzz-test-pydantic,zzz-test-pyinstrument,zzz-test-pyrsistent,zzz-test-pytest,zzz-test-python-dotenv,zzz-test-redis,zzz-test-reprlib,zzz-test-rich,zzz-test-scipy,zzz-test-slack-sdk,zzz-test-sqlalchemy,zzz-test-sqlalchemy-polars,zzz-test-streamlit,zzz-test-subprocess,zzz-test-tenacity,zzz-test-traceback,zzz-test-treelib,zzz-test-whenever,zzz-test-zoneinfo


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dycw-utilities -f %{pyproject_files}


%changelog
%autochangelog